Bug 681314 - [abrt] ruby-1.8.7.334-1.fc14: rb_bug: Process /usr/bin/ruby was killed by signal 6 (SIGABRT)
[abrt] ruby-1.8.7.334-1.fc14: rb_bug: Process /usr/bin/ruby was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
abrt_hash:fc8f9a427c03db0d3b446976196...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-01 13:40 EST by acapasso
Modified: 2012-08-16 09:41 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 09:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.07 KB, text/plain)
2011-03-01 13:40 EST, acapasso
no flags Details

  None (edit)
Description acapasso 2011-03-01 13:40:48 EST
abrt version: 1.1.17
architecture: x86_64
Attached file: backtrace, 21579 bytes
cmdline: ruby /usr/bin/gbso
component: ruby
Attached file: coredump, 29761536 bytes
crash_function: rb_bug
executable: /usr/bin/ruby
kernel: 2.6.35.11-83.fc14.x86_64
package: ruby-1.8.7.334-1.fc14
rating: 4
reason: Process /usr/bin/ruby was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1299004483
uid: 23422

comment
-----
The application was running OK wih ruby 1.8.7-330.
After the upgrade it start crashing all the times.

How to reproduce
-----
1. upgrading to ruby-1.8.7.334 from ruby-1.8.7.330
2.appplication that was previously working OK crashes
Comment 1 acapasso 2011-03-01 13:40:52 EST
Created attachment 481704 [details]
File: backtrace
Comment 2 Walt 2011-03-03 00:10:13 EST
Package: ruby-1.8.7.334-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Started app
2.Entered a search term
3.App crashed
Comment 3 Juan Reyes 2011-03-04 13:18:16 EST
Package: ruby-1.8.7.334-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.start rubyripper
2.
3.
Comment 4 Ivan Virgili 2011-03-05 10:52:55 EST
Package: ruby-1.8.7.334-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Launched Grism, that opened correctly
2. Tried to update the data
3. Software crashed and closed
Comment 5 Ivan Virgili 2011-03-19 14:43:00 EDT
Problem solved after installing the latest "ruby" updates.
Problem doesn't seem to be with package ruby-1.8.7.334-1.fc14.i686, but within the previous version of one (or more than one) of the following packages:

ruby-glib2-0.90.8-1.fc14.i686
ruby-atk-0.90.8-1.fc14.i686
ruby-pango-0.90.8-1.fc14.i686
ruby-gdk_pixbuf2-0.90.8-1.fc14.i686
ruby-gtk2-0.90.8-1.fc14.i686
rubygem-pango-0.90.8-1.fc14.i686
rubygem-atk-0.90.8-1.fc14.i686
rubygem-gdk_pixbuf2-0.90.8-1.fc14.i686
rubygem-gtk2-0.90.8-1.fc14.i686
rubygem-glib2-0.90.8-1.fc14.i686
Comment 6 alexf 2011-03-23 20:17:11 EDT
Package: ruby-1.8.7.334-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Try adding a book manually via menu.
Comment 7 alexf 2011-03-23 20:21:20 EDT
I should add: While using Alexandria the book library manager.
Comment 8 Jacek Radzikowski 2011-03-25 01:20:28 EDT
Package: ruby-1.8.7.334-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Program uses libxml-ruby 1.1.4 to parse XML. Crashes occur randomly, but always in the same accessor method.
Code of the offending class:

require 'xml'
class XXX::Link
  def self.from_xml(xml)
    link=XXX::Link.new(xml)
    return link
  end
  def initialize(xml)
    @xml=xml
  end
  def type
    @xml[:type]
  end
  def href
    @xml[:href]    <-------- Always crashes here
  end
  def rel
    @xml[:rel]
  end
end
Comment 9 apasapas 2011-04-11 11:25:48 EDT
Package: ruby-1.8.7.334-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Alexandria
2.Book properties
3.
Comment 10 Fedora End Of Life 2012-08-16 09:41:46 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.